/*
 * Copyright (c) 1990 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Riverside. 
 *
 * NOTE : That's Riverside.  Not Berkeley, not Santa Cruz, not even
 *        Irvine.  Riverside.  Ri - ver - side.
 *
 * The name of the University may not be used to endorse or promote 
 * products derived from this software without specific prior written
 * permission.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * MLPD -- Multiple Line Printer Daemon (Version 1.3)
 * SCCS keywords: @(#)config.h	1.3 12/1/90
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/param.h>
#include <sys/ioctl.h>
#include <sys/time.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <syslog.h>
#include <time.h>
#ifdef SUN
#include <dirent.h>
#else
#include <sys/dir.h>
#endif
#include <stdio.h>
#include <ctype.h>
#include <errno.h>

#define TRUE                 1
#define FALSE                0
#ifdef DEBUG
#define debug(x) fprintf(stderr, "%s", (x))
#else
#define debug(x) fprintf(stderr, "%s", "")
#endif

typedef struct 
{
	char *name[512];
	char *directory[512];
} printerstruct;

extern char *LP_SPOOL_DIRECTORY;
extern int  TIMEOUT;

int init_daemon();
int lock_printer();
int bomb();
int check_prs();
int check_base_printer();
void exit();
char *malloc();
